package data;

import java.rmi.*;
import java.sql.*;
import java.util.*;
import javax.ejb.*;
import javax.naming.*;
import javax.sql.*;

public abstract class LocationBean implements EntityBean
{
    /// CMP methods
    public abstract String getName ();
    public abstract void setName (String name);
    public abstract String getDescription ();
    public abstract void setDescription (String description);

    // EJB methods start here

    public void ejbPostCreate (String name, String description) {}

    public String ejbCreate (String name, String description) throws CreateException {
        try {
            ((LocationLocalHome)ctx.getEJBLocalHome()).findByPrimaryKey(name);
            throw new CreateException("Duplicate location name: "+name);
        }
        catch (FinderException ex) {}
        setName(name);
        setDescription(description);
        return null;
    }

    public void ejbLoad() {}
    public void ejbStore() {}
    public void ejbPassivate() {}
    public void ejbActivate() {}
    public void ejbRemove() {}

    private EntityContext ctx;    
    
    public void setEntityContext(EntityContext ctx) {
        this.ctx = ctx;
    }

    public void unsetEntityContext() {
        this.ctx = null;
    }
}
